> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoengage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settings

> Returns the product name and website URL of the workspace.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/api/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/settings.yaml GET /setting
openapi: 3.0.3
info:
  title: NeetoEngage Settings APIs
  version: 1.0.0
servers:
  - description: NeetoEngage APIs
    url: https://{your-subdomain}.neetoengage.com/api/external/v1
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Settings
    description: APIs to read and update the workspace settings.
paths:
  /setting:
    get:
      tags:
        - Settings
      summary: Get settings
      description: Returns the product name and website URL of the workspace.
      operationId: getSetting
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
      responses:
        '200':
          description: Workspace settings.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/setting_response'
              example:
                setting:
                  product_name: Spinkart
                  website_url: https://www.spinkart.com
        '401':
          $ref: '#/components/responses/unauthorized'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        API key. Refer to [Authentication](/api/authentication) for more
        information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: Must be `application/json`.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
  schemas:
    setting_response:
      type: object
      properties:
        setting:
          $ref: '#/components/schemas/setting'
    setting:
      type: object
      properties:
        product_name:
          type: string
          example: Spinkart
        website_url:
          type: string
          nullable: true
          example: https://www.spinkart.com
    error:
      type: object
      properties:
        error:
          type: string
          description: A human readable error message.
  responses:
    unauthorized:
      description: The API key is missing, invalid, or expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: Could not authenticate, invalid API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.